Skip to main content
GET
/
v1
/
object-image-url
Get a presigned object image URL
curl --request GET \
  --url https://api.withsplendor.com/v1/object-image-url \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "content_type": "image/png",
  "expires_at": "2026-01-15T09:30:00Z",
  "url": "https://acme-logs.s3.amazonaws.com/objects/abc.png?..."
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Query Parameters

key
string
required
Required string length: 1 - 2048
source_id
integer | null
Required range: x >= 1
bucket
string | null
Required string length: 1 - 255

Response

Successful Response

expires_at
string<date-time>
required
url
string
required
content_type
string | null